Package org.jmock.expectation

# Class VoidReturnValues

java.lang.Object
org.jmock.expectation.ReturnValues
org.jmock.expectation.VoidReturnValues

public class VoidReturnValues extends ReturnValues
Sequence of void values as required by MockMaker This is a generic class that should have been introduced to the mockobjects code stream instead of being separately included in org.mockobjects. It is possibly similar to a ReturnObjectList?

## Field Summary

### Fields inherited from class org.jmock.expectation.ReturnValues

`myContents`

## Constructor Summary

Constructors
Constructor
Description
`VoidReturnValues(boolean keepUsingLastReturnValue)`
`VoidReturnValues(String name, boolean keepUsingLastReturnValue)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getNext()`

### Methods inherited from class org.jmock.expectation.ReturnValues

`add, addAll, isEmpty, pop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VoidReturnValues

public VoidReturnValues(String name, boolean keepUsingLastReturnValue)

### VoidReturnValues

public VoidReturnValues(boolean keepUsingLastReturnValue)

## Method Details

### getNext

public Object getNext()

Overrides:
  `getNext` in class `ReturnValues`